## cvsobel cvsobel — Applies cvSobel OpenCV function to the image |

## Synopsis

    struct              GstCvSobel;

## Properties

      "aperture-size"            gint                  : Read / Write
      "x-order"                  gint                  : Read / Write
      "y-order"                  gint                  : Read / Write

## Description

## Synopsis

### Element Information

plugin | opencv
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-gray, bpp=(int)8, depth=(int)8, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw-gray, bpp=(int)16, depth=(int)16, endianness=(int)1234, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstCvSobel

    struct GstCvSobel {
      GstOpencvVideoFilter element;

      gint x_order;
      gint y_order;
      gint aperture_size;
    };

## Property Details

### The `"aperture-size"` property

      "aperture-size"            gint                  : Read / Write

Size of the extended Sobel Kernel (1, 3, 5 or 7).

Allowed values: [1,7]

Default value: 3

### The `"x-order"` property

      "x-order"                  gint                  : Read / Write

Order of the derivative x.

Allowed values: >= -1

Default value: 1

### The `"y-order"` property

      "y-order"                  gint                  : Read / Write

Order of the derivative y.

Allowed values: >= -1

Default value: 0